package com.bonus.auth.mapper;

import com.bonus.domain.CustCasual;
import com.bonus.domain.CustCasualModel;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

@Mapper
public interface AuthCustCasualMapper {
   List<CustCasualModel> queryPageCustCasual(@Param("custCasual") CustCasual custCasual);

   String selectOpenidByCustId(@Param("custId") Long custId, @Param("sourceType") Integer sourceType, @Param("ifDel") Integer ifDel);

   CustCasual selectCustCasualByCustId(@Param("custId") Long custId, @Param("sourceType") Integer sourceType, @Param("ifDel") Integer ifDel);

   int updateCustCasual(CustCasual custCasual);

   int addCustCasual(CustCasual custCasual);

   int updateByCustIdAndOpenId(@Param("custId") Long custId, @Param("isDefault") Integer isDefault, @Param("openid") String openid);

}
